/***************************************************************************
                          monk_ai.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MONK_AI_H
#define MONK_AI_H

#include "global_types.h"

/**
  *@author funthing (Matthias Zisler)
  */
class Monk;
class Map_Sample;
class Timer;

class Monk_Ai //look, here is the birthplace of a stupid intelligent life :)
{
public: 
	Monk_Ai(Monk* _monk, Map_Sample* _sample);
	~Monk_Ai();

	void act();

	bool is_left();
	bool is_right();
	bool is_up();
	bool is_down();

private:
	Map_Sample* sample;
	Monk* monk;
	Timer* timer;
	bool left;
	bool right;
	bool up;
	bool down;
	bool hang;
	bool bl, br, bu, bd;
	bool hp1, hp2;
	int old_x, old_y;
};

#endif
